#pragma once

#include <OgreVector3.h>

class CollisionBox
{
public:
	CollisionBox(){}
	Ogre::Vector3 mPosition;
	Ogre::Vector3 mSpeed;
	float mWidth, mHeight;
	Ogre::Vector3 Collide(CollisionBox* aBox);
	int mType; //0 = level, 1 = wall, 2 = fire, 3 = player, 4 = enemy
	bool onGround;
	bool UpdateCollision();
	bool UpdateGroundCollision();
	bool UpdateFireCollision();
	bool CheckCollision();
	bool CheckBaseCollision();
};